SUBROUTINE pachdr( iout, nl )

!***********************************************************************
!     - pachdr -
!     prints pac header
!***********************************************************************
!
!     IOUT  - INPUT . Unit number for printing                - INTEGER
!     NL    - OUTPUT. Number of lines printed                 - INTEGER
!
!-----------------------------------------------------------------------
!
!     Subroutines called:
!        NONE
!     External functions called:
!        NONE
!     Fortran  functions called:
!        NONE
!
!-----------------------------------------------------------------------

   IMPLICIT NONE

   !  Arguments
   !  ---------

   INTEGER, INTENT(IN) :: iout
   INTEGER, INTENT(OUT) :: nl

   !--------------------------------------------------------------------

   write(iout,111)
   nl = 13
   write(iout,222)
   nl = nl + 5
   write(iout,333)
   nl = nl + 7

   111 format                                                   &
   ('                               PPPPPPPPPPPPPP'             &
   /'                              PP            PP'            &
   /'                             PPPPPPPPPPPPPPPP'             &
   /'                            PP'                            &
   /'                           PP       CCCCC          C'      &
   /'                          PP      CC     CC      CCC'      &
   /'                         PP      CC            CCCCC'      &
   /'                        PP  AAAAAAAAAAAAA       CCCC'      &
   /'                       PP  AA   CC      AA     CC'         &
   /'                      PP  AAAAA CC AAAAAAAA   CC'          &
   /'                     PP  AA      CC       AA CC'           &
   /'                    PP  AA        CC       CC'             &
   /'                   PP  AA           CCCCCCC AA'            )

   INCLUDE 'pachdrf.'

END SUBROUTINE pachdr
