SUBROUTINE gmp999

!***********************************************************************
!     - gmp999 -
!     deallocate arrays and close files used in the general section
!     of the program
!***********************************************************************

   USE memst1
   USE memsta
   USE gmpint
   USE termnl

   IMPLICIT NONE

   !--------------------------------------------------------------------

      ! Deallocate arrays if not done yet
      ! ---------------------------------

   if ( allocated(xmis) ) deallocate(xmis)
   if ( allocated(xmin) ) deallocate(xmin)
   if ( allocated(xmax) ) deallocate(xmax)
   if ( allocated(vals) ) deallocate(vals)
   if ( allocated(ymin) ) deallocate(ymin)
   if ( allocated(ymax) ) deallocate(ymax)
   if ( allocated(vuse) ) deallocate(vuse)
   if ( allocated(lval) ) deallocate(lval)
   if ( allocated(lnom) ) deallocate(lnom)
   if ( allocated(vsav) ) deallocate(vsav)
   if ( allocated(valpha) ) deallocate(valpha)
   if ( allocated(vnom) ) deallocate(vnom)
   if ( allocated(unom) ) deallocate(unom)
   if ( allocated(noms) ) deallocate(noms)

      ! Close files
      ! -----------

   close(iu1)
   close(iu2)
   close(iu3)
   close(iu4)
   if ( inpux  > 0 ) close(inpux)
   if ( isave  > 0 ) close(isave)
   if ( lec1 >= 90 ) close(lec1)
   if ( imp  >= 90 ) close(imp)
   if ( lgu  >= 90 ) close(lgu)

END SUBROUTINE gmp999
