SUBROUTINE transm( io, m1, m2, text, type, num, car )

!***********************************************************************
!     - transm -
!     prints transformation error message
!***********************************************************************
!
!     IO    - INPUT . Unit number for message printout        - INTEGER
!     M1    - INPUT . Mark for begining of message            - CHAR
!     M2    - INPUT . Mark for end of message                 - CHAR
!     TEXT  - INPUT . Error message (of length < 79)          - CHAR
!     TYPE  - INPUT . Type of element in error                - CHAR
!     NUM   - INPUT . Index of element in error               - INTEGER
!     CAR   - INPUT . Substring where the error was detected  - CHAR
!
!----------------------------------------------------------------------
!
!     Subroutines called:
!        NONE
!     External functions called:
!        NONE
!     Fortran  functions called:
!        NONE
!
!-----------------------------------------------------------------------

   IMPLICIT NONE

   !  Arguments
   !  ---------

   INTEGER, INTENT(IN) :: io, num
   CHARACTER(LEN=*), INTENT(IN) :: m1, m2, text, type, car

   !--------------------------------------------------------------------

   write(io,*) m1
   write(io,1) type, num
   write(io,2) text
   write(io,3) car
   write(io,*) m2

   INCLUDE 'transmf.'

END SUBROUTINE transm
