SUBROUTINE pacipb

!***********************************************************************
!     - pacipb -
!     performs Initializations in modules specific to program PAC
!     at starting of each ProBlem
!***********************************************************************
!
!     Subroutines called:
!        NONE
!     External functions called:
!        NONE
!     Fortran  functions called:
!        NONE
!
!-----------------------------------------------------------------------

   USE gmplgl
   USE pacchr
   USE pacint
   USE paclgl

   IMPLICIT NONE

   !--------------------------------------------------------------------

      ! pacint

   ndep   = 0
   ncova  = 0
   nvtot  = 0
   ngfa0  = 0
   ngfac  = 0
   nguser = 500
   ntrt   = 0
   ntfac  = 0
   ncomp  = 0
   ideriv = -999

      ! paclgl

   lupvw  = .true.
   lbayes = .false.
   lrwdb  = .false.
   lderiv = .false.
   lrwdd  = .true.
   lspecf = .true.
   limit  = .false.
   lfrapp = .false.
   lanova = .false.
   luniv  = .true.
   lmulti = .true.
   lreduc = .false.
   lpmean = .false.
   lptabl = .true.
   listdp = .false.
      ! Set lstax to default according to lbref (in gmplgl)
   lstax  = .not. lbref

      ! pacchr

   cmptit = '        '
   derfil = '        '
   derfmt = '(A8,(T9,4G15.7))'

END SUBROUTINE pacipb
